%define version 3.2.2
%define tarname CherryPy-%{version}

Summary:        A Python-based framework for web application development
Name:           python-cherrypy
Version:        %version
Release:        %mkrel 2
License:        BSD
Group:          Development/Python
URL:            http://www.cherrypy.org
Source0:        http://download.cherrypy.org/cherrypy/%{version}/CherryPy-%{version}.tar.gz
BuildRequires:	python-devel
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
A Python-based framework for web application development.

CherryPy allows you to write and easyly deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%prep
%setup -q -n %tarname

%build
%{__python} setup.py build
cat > tutorial.conf << EOF
[server]
socketPort = 8080
threadPool = 10

[session]
storageType=ram
EOF

%install
%__rm -rf %buildroot
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --skip-build --root %{buildroot} 

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{py_puresitedir}/cherrypy
%{py_puresitedir}/CherryPy-%{version}-py%{pyver}.egg-info
%{_bindir}/cherryd




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.2.2-2.mga3
+ Revision: 378557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 philippem <philippem> 3.2.2-1.mga2
+ Revision: 168443
- Update to 3.2.2

  + kharec <kharec>
    - Increment rel for fix the summary in mageia-app-db (typo)
    - fix typo
    - new version 3.2.1
    - fix doc's packaging

* Mon Mar 28 2011 philippem <philippem> 3.2.0-1.mga1
+ Revision: 78275
- imported package python-cherrypy

